package com.miaxis.wx.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 微信提现对象 wx_extract
 *
 * @author miaxis
 * @date 2022-01-24
 */
@Data
@TableName("wx_extract")
@ApiModel(value = "WxExtract", description = "微信提现对象 wx_extract")
public class WxExtract extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户唯一标识(微信) */
    @Excel(name = "用户唯一标识(微信)")
    @TableField("openid")
    @ApiModelProperty(value = "用户唯一标识(微信)")
    private String openid;

    /** 商户订单号 */
    @Excel(name = "商户订单号")
    @TableField("partner_trade_no")
    @ApiModelProperty(value = "商户订单号")
    private String partnerTradeNo;

    /** 用户唯一标识(微信) */
    @Excel(name = "备注")
    @TableField("remark")
    @ApiModelProperty(value = "备注)")
    private String remark;

    /** 提现金额(分) */
    @Excel(name = "提现金额(分)")
    @TableField("extract_price")
    @ApiModelProperty(value = "提现金额(分)")
    private Integer extractPrice;

    /** 状态  1：提现成功、2：提现失败 */
    @Excel(name = "状态  1：提现成功、2：提现失败")
    @TableField("status")
    @ApiModelProperty(value = "状态  1：提现成功、2：提现失败")
    private String status;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setOpenid(String openid){
        this.openid = openid;
    }

    public String getOpenid(){
        return openid;
    }
    public void setExtractPrice(Integer extractPrice){
        this.extractPrice = extractPrice;
    }

    public Integer getExtractPrice(){
        return extractPrice;
    }
    public void setStatus(String status){
        this.status = status;
    }

    public String getStatus(){
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openid", getOpenid())
            .append("extractPrice", getExtractPrice())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
